package com.dayou.mapper;

import com.dayou.entity.AssetsEvaluationTargetPurpose;
import com.dayou.dao.CustomBaseMapper;

import java.util.List;

/**
 * <p>
 * 资产评估对象评估目的表 Mapper 接口
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
public interface AssetsEvaluationTargetPurposeMapper extends CustomBaseMapper<AssetsEvaluationTargetPurpose> {

    /**
     * 获取所有资产评估目的集合
     * @return List<AssetsEvaluationTargetPurpose>
     */
    List<AssetsEvaluationTargetPurpose> getPurpose();

}
