package com.dayou.mapper;

import com.dayou.entity.AssetsValueType;
import com.dayou.dao.CustomBaseMapper;

import java.util.List;

/**
 * <p>
 * 价值类型表 Mapper 接口
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
public interface AssetsValueTypeMapper extends CustomBaseMapper<AssetsValueType> {

    /**
     * 获取所有资产价值类型
     * @return List<AssetsValueType>
     */
    List<AssetsValueType> getAssetsValueType();
}
