package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.BrokerageMarketerRatio;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.MarketerRatioVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 项目提成比例（市场人员） Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface BrokerageMarketerRatioMapper extends CustomBaseMapper<BrokerageMarketerRatio> {

    Page<MarketerRatioVO> xPage(Page page, @Param("ratio") BrokerageMarketerRatio brokerageMarketerRatio);
}
