package com.dayou.mapper;

import com.dayou.entity.BrokerageMarketerSettled;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.entity.PaymentCollection;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 客户经理已结算回款表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-09-26
 */
public interface BrokerageMarketerSettledMapper extends CustomBaseMapper<BrokerageMarketerSettled> {

    List<PaymentCollection> getNotSettledPayment(@Param("itemId") Long itemId);
}
