package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.BusinessOpportunity;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.BusinessOpportunityVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商机 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface BusinessOpportunityMapper extends CustomBaseMapper<BusinessOpportunity> {

    Page<BusinessOpportunityVO> getPage(Page page, @Param("dto") BusinessOpportunityVO businessOpportunity,@Param("keyword") String keyword);
}
