package com.dayou.mapper;

import com.dayou.entity.DictData;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 字典数据 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
public interface DictDataMapper extends CustomBaseMapper<DictData> {

    DictData findByDataTypeAndName(@Param("dataType") String dataType, @Param("remark") String remark);

    List<DictData> findByDataTypeByCode(@Param("code")String code);
}
