package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.ItemBrokerageSequence;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.BrokerageSequenceVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 项目提成流水 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface ItemBrokerageSequenceMapper extends CustomBaseMapper<ItemBrokerageSequence> {

    Page<BrokerageSequenceVO> getPage(Page page, @Param("vo") BrokerageSequenceVO vo);

    List<BrokerageSequenceVO> deduction( @Param("vo") BrokerageSequenceVO brokerageSequenceVO);

    List<BrokerageSequenceVO> xList(@Param("vo") BrokerageSequenceVO vo);
}
