package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.DeductionDTO;
import com.dayou.entity.ItemBrokerageTechnicistDeduction;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.TechDeductionVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 技术人员提成抵扣记录 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-06-06
 */
public interface ItemBrokerageTechnicistDeductionMapper extends CustomBaseMapper<ItemBrokerageTechnicistDeduction> {

    List<DeductionDTO> notDeductionDefaultSettle(@Param("userId") Long userId);

    Page<TechDeductionVO> xPage(Page page, @Param("vo") TechDeductionVO vo);

    BigDecimal poolResidueAmount(@Param("userId") Long userId);
}
