package com.dayou.mapper;

import com.dayou.entity.ItemStageUser;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ItemStageUserVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 项目人员阶段参与表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface ItemStageUserMapper extends CustomBaseMapper<ItemStageUser> {

    Set<ItemStageUserVO> getList(@Param("stageId") Long stageId);
}
