package com.dayou.mapper;

import com.dayou.entity.ItemUser;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.entity.User;
import com.dayou.vo.ItemStageUserVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 项目人员表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface ItemUserMapper extends CustomBaseMapper<ItemUser> {

    List<ItemStageUserVO> userList(@Param("itemStageUserVO") ItemStageUserVO itemStageUserVO);
}
