package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.ProductionOutWarehouse;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ProductionOutWarehouseApplyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 产品提前出库申请 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-12-12
 */
public interface ProductionOutWarehouseMapper extends CustomBaseMapper<ProductionOutWarehouse> {

    List<ProductionOutWarehouseApplyVO> getList(@Param("productionFundId") Long productionFundId);

    Page<ProductionOutWarehouse> getPage(Page page, @Param("vo") ProductionOutWarehouse productionOutWarehouse,@Param("keyword") String keyword);

    List<ProductionOutWarehouseApplyVO> getListByBizTypeProductionId(@Param("businessType") String businessType,@Param("productionId") Long productionId);

    List<ProductionOutWarehouseApplyVO> getPersonalByOrderId(@Param("orderId")Long orderId);
}
