package com.dayou.mapper;

import com.dayou.bo.ReportNounBO;
import com.dayou.entity.ReportNoun;
import com.dayou.dao.CustomBaseMapper;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

/**
 * <p>
 * 报告名词占位符 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-09-05
 */
public interface ReportNounMapper extends CustomBaseMapper<ReportNoun> {

    List<ReportNounBO> getListByType(@PathVariable("reportTypeId") String reportType);
}
