package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.Team;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.TeamVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * <p>
 * 团队 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-04-07
 */
public interface TeamMapper extends CustomBaseMapper<Team> {

    Page<TeamVO> getPage(Page page, @Param("vo") TeamVO teamVO);
}
