package com.dayou.mapper;

import com.dayou.dto.WorkNodeDTO;
import com.dayou.entity.WorkNode;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工作流节点 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
public interface WorkNodeMapper extends CustomBaseMapper<WorkNode> {

    List<WorkNodeDTO> getFlowNodes(@Param("flowId") Long flowId,@Param("businessType") String businessType);

    List<WorkNode> getNodesByMainBusiness(@Param("businessType") String businessType);

    WorkNodeDTO getUniqueNodeByFlowNameAndNodeName(@Param("businessType")String businessType, @Param("nodeEnum")String nodeEnum);
}
