package com.dayou.common;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.dayou.annotation.LuceneSearchable;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.util.Date;

@Data
public class BaseEntity {

    /**
     * 主键自增id
     *
     * @ignore
     */
    @TableId(value = "id", type = IdType.AUTO)
    protected Long id;

    /**
     * 创建时间
     *
     * @ignore
     */
    private Date created;

    /**
     * 修改时间
     *
     * @ignore
     */
    private Date modified;

    /**
     * 标志位
     *
     * @ignore
     */
    @JsonIgnore
    private Boolean deleted;

}
