package com.dayou.dto;

import lombok.Data;

import java.util.List;

@Data
public class AProListSelectDTO {
    /**
     * 资产业务id
     */
    private Long businessId;

    /**
     * 产品号(不区分时使用)
     */
    private String productionNo;

    /**
     * 资产业务意见书产品号
     */
    private String statementNo;

    /**
     * 资产业务报告产品号
     */
    private String reportNo;

    /**
     * 产品类型
     */
    private String productionType;

    /**
     * 产品号集合
     */
    List<String> productionNos;

    /**
     * 报告号集合
     */
    List<String> reportNos;

    /**
     * 意见书号集合
     */
    List<String> statementNos;
}
