package com.dayou.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/4/14
 * created with IntelliJ IDEA.
 */
@Data
public class PaymentDetailDTO {

    /**
     * variableId
     */
    private Long id;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 回款金额
     */
    private BigDecimal paymentAmount;

    /**
     * 回款id
     */
    private Long paymentId;

    /**
     * 市场部领导id
     */
    private Long userId;

    /**
     * 岗位类型（营销主管，市场部经理）
     */
    private String userType;

    /**
     * 总提成金额
     */
    private BigDecimal brokerageAmount;

    /**
     * 已结算金额
     */
    private BigDecimal settledAmount;

    /**
     * 未结算金额
     */
    private BigDecimal unsettledAmount;

    /**
     * 上传合同时间（合同签订时间）
     */
    private LocalDate uploadDate;
}
