package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 价值类型表
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "价值类型表")
public class AssetsValueType extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 价值类型名
     */
    @ImportCell
    @ExportCell(columnName = "价值类型名")
    private String typeName;


}
