package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 业务号
 * </p>
 *
 * @author wucl
 * @since 2023-11-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "业务号")
public class BusinessNumber extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 取号类型
     */
    private String takeType;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 月份
     */
    private Integer month;

    /**
     * 下一个号
     */
    private Integer nextNo;


}
