package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * GIS访问记录
 * </p>
 *
 * @author wucl
 * @since 2023-05-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "GIS访问记录")
public class GisVisited extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 访问IP
     */
    @ImportCell
    @ExportCell(columnName = "访问IP")
    private String remoteIp;

    /**
     * 主机名
     */
    @ImportCell
    @ExportCell(columnName = "主机名")
    private String remoteHost;

    /**
     * 远程地址
     */
    @ImportCell
    @ExportCell(columnName = "远程地址")
    private String remoteAddr;


}
