package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 工作流
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "工作流")
public class WorkFlow extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 名称
     */
    @ImportCell
    @ExportCell(columnName = "名称")
    private String name;

    /**
     * 流程编码
     */
    @ImportCell
    @ExportCell(columnName = "流程编码")
    private String code;

    /**
     * 状态
     */
    @ImportCell
    @ExportCell(columnName = "状态")
    private Boolean state;


}
