package com.dayou.enums;

/**
 * 财务罚款后退款记录枚举原因
 */
public enum FineRefundReasonEnum {

    RETURN_PRODUCTION("退产品","RETURN_PRODUCTION"),
    RETURN_MONEY("产品回款","RETURN_MONEY"),
    RETURN_PRODUCTION_INVOICE("退产品并退发票","RETURN_PRODUCTION_INVOICE"),
    ;

    private String name;

    private String code;

    FineRefundReasonEnum(String name, String code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

}
