package com.dayou.enums;

/**
 * 财务罚款后退款记录枚举状态
 */
public enum FineRefundStatusEnum {

    RETURNED("已退","RETURNED"),
    NOT_RETURNED("未退","NOT_RETURNED"),
    IGNORE("不退","IGNORE"),
    ;

    private String name;

    private String code;

    FineRefundStatusEnum(String name, String code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

}
