package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

@Data
public class AssetsPerformanceDeductionDetailVO {

    private Integer id;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String orderId;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    private String productionType;

    /**
     * 产品号
     */
    @Excel(name = "产品号")
    private String productionNo;


    /**
     * 项目负责人
     */
    @Excel(name = "项目负责人")
    private String principalName;

    /**
     * 参与人
     */
    @Excel(name = "参与人")
    private String members;

    /**
     * 评估金额(万元)
     */
    @Excel(name = "评估金额(万元)")
    private BigDecimal evaluateAmount;

    /**
     * 扣分人
     */
    @Excel(name = "扣分人")
    private String checkerName;

    /**
     * 错误个数
     */
    @Excel(name = "错误个数")
    private Integer mistakeCount;

    /**
     * 扣分时间
     */
    @Excel(name = "扣分时间")
    private LocalDate checkTime;

    /**
     * 扣分原因
     */
    @Excel(name = "扣分原因")
    private String reason;

}
