package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

@Data
public class AssetsPerformanceDeductionVO {

    /**
     * 部门id
     */
    private Long departmentId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 员工姓名
     */
    @Excel(name = "员工姓名")
    private String userName;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String departmentName;

    /**
     * 审核一般错误扣分
     */
    @Excel(name = "审核一般错误")
    private Integer checkNormalMistakeScore;

    /**
     * 审核较大错误扣分
     */
    @Excel(name = "审核较大错误")
    private Integer checkHardMistakeScore;

    /**
     * 审核严重错误扣分
     */
    @Excel(name = "审核严重错误")
    private Integer checkFatalMistakeScore;

    /**
     * 复审一般错误扣分
     */
    @Excel(name = "复审一般错误")
    private Integer reCheckNormalMistakeScore;

    /**
     * 复审较大错误扣分
     */
    @Excel(name = "复审较大错误")
    private Integer reCheckHardMistakeScore;

    /**
     * 复审严重错误扣分
     */
    @Excel(name = "复审严重错误")
    private Integer reCheckFatalMistakeScore;

    /**
     * 四审一般错误扣分
     */
    @Excel(name = "四审一般错误")
    private Integer fourthCheckNormalMistakeScore;

    /**
     * 四审较大错误扣分
     */
    @Excel(name = "四审较大错误")
    private Integer fourthCheckHardMistakeScore;

    /**
     * 四审严重错误扣分
     */
    @Excel(name = "四审严重错误")
    private Integer fourthCheckFatalMistakeScore;

    /**
     * 外部投诉一般错误扣分
     */
    @Excel(name = "外部投诉一般错误")
    private Integer externalComplaintNormalMistakeScore;

    /**
     * 外部投诉较大错误扣分
     */
    @Excel(name = "外部投诉较大错误")
    private Integer externalComplaintHardMistakeScore;

    /**
     * 外部投诉严重错误扣分
     */
    @Excel(name = "外部投诉严重错误")
    private Integer externalComplaintFatalMistakeScore;

    /**
     * 外部投诉服务态度恶劣
     */
    @Excel(name = "服务态度恶劣")
    private Integer badServiceAttitude;

    /**
     * 内部投诉一般错误扣分
     */
    @Excel(name = "内部投诉一般错误")
    private Integer internalComplaintNormalMistakeScore;

    /**
     * 内部投诉较大错误扣分
     */
    @Excel(name = "内部投诉较大错误")
    private Integer internalComplaintHardMistakeScore;

    /**
     * 内部投诉严重错误扣分
     */
    @Excel(name = "内部投诉严重错误")
    private Integer internalComplaintFatalMistakeScore;

    /**
     * 扣分合计
     */
    @Excel(name = "扣分合计")
    private Integer allMistakeScore;
}
