package com.dayou.vo;

import com.dayou.common.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AssetsProductionFundVo {

    private Long id;

    /**
     * 资产订单id
     */
    private Long assetsId;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 项目编号
     */
    private String orderId;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 产品号
     */
    private String productionNo;

    /**
     * 产品类型
     */
    private String productionType;

    /**
     * 客户名称
     */
    private String clienteleName;

    /**
     * 订单收款id
     */
    private Long orderFundId;

    /**
     * 订单应收款
     */
    private BigDecimal orderShouldAmount;

    /**
     * 订单实收款
     */
    private BigDecimal orderRealAmount;

    /**
     * 产品收款id
     */
    private Long productionFundId;

    /**
     * 产品应收款
     */
    private BigDecimal productionShouldAmount;

    /**
     * 产品实收款
     */
    private BigDecimal productionRealAmount;

    /**
     * 产品标准收费
     */
    private BigDecimal standardAmount;

    /**
     * 评估人员提成申报审批结果
     */
    private String eDeclareResult;

    /**
     * 市场人员提成申报审批结果
     */
    private String mDeclareResult;

    /**
     * 市场人员
     */
    private String marketUser;

    /**
     * 评估人员
     */
    private String evaluateUser;

    /**
     * 开票金额
     */
    private BigDecimal invoiceAmount;
}
