package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.entity.ItemBrokerageDetail;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/20
 * created with IntelliJ IDEA.
 */
@Data
public class BrokerageDetailVO extends ItemBrokerageDetail {


    @Excel(name = "人员名称")
    private String userName;

    @Excel(name = "项目名称")
    private String itemName;

    @Excel(name = "人员类型")
    private String userType;

    @Excel(name = "合同金额")
    private BigDecimal amount;

    @Excel(name = "阶段名称")
    private String stageName;

    private Set<Long> userIds;

}
