package com.dayou.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.entity.BusinessProductionPerformance;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/2/4
 * created with IntelliJ IDEA.
 */
@Data
public class BusinessProductionPerformanceVO {

    /**
     * 产品类型
     */
    private String productionType;

    /**
     * 产品号
     */
    private String productionNo;
    /**
     *项目名称
     */
    private String productionName;
    /**
     *负责人
     */
    private String principal;

    private Long majorId;

    private String checkLoop;

    private String businessType;

    private List<BusinessProductionPerformance> info = new ArrayList<>();
}
