package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class CompileFineMajorOrder {

    /**
     * 订单收款信息id
     */
    private Long orderFundId;

    /**
     * 产品收款信息id
     */
    private Long productionFundId;

    /**
     * 产品应收款
     */
    private BigDecimal productionShouldAmount;

    /**
     * 产品标准收费
     */
    private BigDecimal standardAmount;

}
