package com.dayou.vo;

import com.dayou.common.BaseEntity;
import lombok.Data;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2022/12/5
 * created with IntelliJ IDEA.
 */
@Data
public class DepartmentVO extends BaseEntity {

    /**
     * 父部门id
     */
    private Long parentId;

    /**
     * 父级部门名称
     */
    private String parentName;

    /**
     * 人数
     */
    private Integer peopleNum;

    /**
     * 部门名称
     */
    private String name;

    /**
     * 负责人id（预留字段）
     */
    private Long leaderId;

    /**
     * 部门负责人名称
     */
    private String leaderName;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 接单部门
     */
    private Boolean ifAllot;
}
