package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ExternalFacePriceVO {

    /**
     * 系统成交价
     */
    private BigDecimal dealPrice;
    /**
     * 系统挂牌价
     */
    private BigDecimal upPrice;

    /**
     * 成交均价
     */
    private BigDecimal dealAvgPrice;

    /**
     * 挂牌均价
     */
    private BigDecimal upAvgPrice;
    /**
     * 成交数据
     */
    private List<ExternalPersonalVO> deals;

    /**
     * 挂牌数据
     */
    private List<ExternalPersonalVO> ups;
    /**
     * 时间修正参数
     */
    private String timeParam;
    /**
     * 面积修正参数
     */
    private String acreageParam;
    /**
     * 综合修正参数
     */
    private String overAllParam;
}
