package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.entity.Item;
import lombok.Data;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2022/12/30
 * created with IntelliJ IDEA.
 */
@Data
public class ItemVO extends Item {


    /**
     * 所属部门
     */
    @Excel(name = "所属部门")
    private String departmentName;

    /**
     * 项目类型
     */
    @Excel(name = "项目类型")
    private String cateName;

    /**
     * 业务来源
     */
    @Excel(name = "业务来源")
    private String businessSourceName;

    /**
     * 项目状态
     */
    @Excel(name = "项目状态")
    private String itemStatus;

    /**
     * 项目配置人员id列表
     */
    private List<Long> userIds;

    /**
     * 阶段名称
     */
    @Excel(name = "阶段名称")
    private String stageName;

    /**
     * 阶段id
     */
    private Long stageId;

    /**
     * 项目收款id
     */
    private Long orderFundId;




}
