package com.dayou.vo;

import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/11/10
 * created with IntelliJ IDEA.
 */
@Data
public class MajorListVO {
    /**
     * id
     */
    private Long id;
    /**
     * 下单时间
     */
    private LocalDate created;
    /**
     * 订单名称
     */
    private String name;
    /**
     * 订单号
     */
    private String orderId;
    /**
     * 是否金融
     */
    private Boolean financial;
    /**
     * 分单类型
     */
    private String allotType;
    /**
     * 客户经理id
     */
    private Long clientManagerId;
    /**
     * 客户经理
     */
    private String clientManager;
    /**
     * 负责人id
     */
    private Long principalId;
    /**
     * 负责人
     */
    private String principal;
    /**
     * 接单部门id
     */
    private Long departmentId;
    /**
     * 接单部门
     */
    private String departmentName;
    /**
     * 评估对象类别
     */
    private String businessObjectType;
    /**
     * 客户id
     */
    private Long clienteleId;
    /**
     * 客户联系人id
     */
    private Long clienteleContactId;

    /**
     * 客户名称
     */
    private String clientele;

    /**
     * 客户联系人
     */
    private String clienteleContact;

    /**
     * 客户电话
     */
    private String clienteleContactTel;

    /**
     * 当前实例节点id
     */
    private Long currentNodeId;

    /**
     * 当前节点名称
     */
    private String currentNodeName;

    /**
     * 产品列表
     */
    private List<MajorProductionVO> productions;

    private String cClienteleName;

    private String cClienteleSubName ;

    private String cClienteleContactName ;

    private String cMobile;
}
