package com.dayou.vo;

import com.dayou.annotation.LuceneResource;
import com.dayou.annotation.LuceneSearchable;
import com.dayou.entity.Major;
import lombok.Data;

import java.util.List;
import java.util.Set;

import static com.dayou.enums.MainBusinessEnum.MAJOR_BUSINESS;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/10/31
 * created with IntelliJ IDEA.
 */
@Data
public class MajorVO extends Major {


    private Long majorId;

    /**
     * 客户经理
     */
    private String clientManager;
    /**
     * 项目负责人
     */
    private String principal;
    /**
     * 接单部门
     */
    private String department;
    /**
     * 客户名称
     */
    private String clientele;
    /**
     * 客户联系人
     */
    private String clienteleContact;

    /**
     * 客户联系人电话
     */
    private String clienteleContactTel;
    /**
     * 终端客户
     */
    private String terminalClientele;
    /**
     * 终端客户联系人
     */
    private String terminalClienteleContact;
    /**
     * 当前节点
     */
    private String currentNode;
    /**
     * 待办人
     */
    private String handler;

    /**
     * 成员姓名集合
     */
    private List<String> membersName;

    /**
     * 成员id集合
     */
    private List<Long> membersId;

    /**
     * 业务子id
     */
    private String businessSubId;


    //客户信息（回显）
    private String cMobile;

    private String cDepartment;

    private String cDuty;

    private String cClienteleName;

    private String cClienteleSubName ;

    private String cClienteleContactName ;

    private String tMobile;

    private String tTerminalClienteleName;

    private String tTerminalClienteleContactName;

    private String startDate;

    private String endDate;

    private String tCompanyMobile;

    private String nodeName;

    private String productionName;

    private String productionNo;

    private String reportNo;

    private String statementNo;

    private String clientName;
    private String clientTel;
    private String evaluateAmount;
    private String evaluateAcreage;
    private String owner;
    private String nodeCode;
    private Long currentNodeId;

    private Set<Long> userIds;
    private String comment;
    private Long nodeId;


}
