package com.dayou.vo;

import lombok.Data;

/**
 * 类说明：个贷区位状况
 *
 * @author: wucl
 * @since: 2024/3/15
 * created with IntelliJ IDEA.
 */
@Data
public class PersonalBackgroundInfo {

    private Long id;

    private String location;

    private String area;

    private String roundTouch;

    private String aspect;

    private String road1;

    private String road2;

    private String road3;

    private String roadSmooth;

    private String pubTraffic;

    private String subway;

    private String bgTraffic;

    private String trafficLimit;

    private String businessPoint;

    private String financePoint;

    private String eduEquipment;

    private String cultureEquipment;

    private String medicalInfo;

    private String pathToBusinessCenter;

    private String commonEquipment;

    private String aroundCommunities;

    private String cityParks;

    private String badFactors;

    private String bgEnvir;

    private String bgBase;


}
