package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 类说明：个贷业务房产证
 *
 * @author: wucl
 * @since: 2024/3/13
 * created with IntelliJ IDEA.
 */
@Data
public class PersonalHouseCertificateVO {

    private Long id;

    private Boolean haveOrigin;

    private String houseCertificateNo;

    private String businessNo;

    private String ownerName;

    private String ownRight;

    private String bailor1;

    private String bailor1Tel;

    private String bailor1IdNo;

    private String bailor2;

    private String bailor2Tel;

    private String bailor2IdNo;

    private String location;

    private String sceneAddress;

    private Boolean isSameAddress;

    private Boolean addressProve;

    private LocalDate register;

    private String useTo;

    private String floors;

    private String structure;

    private String allAcreage;

    private String inAcreage;

    private String otherOwner;

    private String otherOwnerNo;

    private String landRightOwnType;

    private String attachmentInfo;

    private String isPledge;

    private String pledgePerson;

    private String otherPledgePerson;

    private BigDecimal ensureDebiAmount;

    private BigDecimal defaultDebiAmount;

    private BigDecimal otherDebiAmount;

    private Boolean isNoneShangCase;

    private Boolean isNoneWestCase;

}
