package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

@Data
public class PersonalInwardEfficiencyVO {
    /**
     * 内业人员id
     */
    private Integer inwardStaff;

    /**
     * 内业人员姓名
     */
    @Excel(name = "姓名")
    private String userName;

    /**
     * 预评数
     */
    @Excel(name = "预评数")
    private Integer statementCount;

    /**
     * 报告数(结果报告,技术报告不统计)
     */
    @Excel(name = "报告数")
    private Integer reportCount;

    /**
     * 意见函和复评函数
     */
    @Excel(name = "意见函和复评函数")
    private Integer letterCount;
}
