package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * 类说明：个贷业务国土证
 *
 * @author: wucl
 * @since: 2024/3/13
 * created with IntelliJ IDEA.
 */
@Data
public class PersonalLandCertificateVO {

    private Long id;

    private String certificateType;

    private String certificateNo;

    private String userRightName;

    private String landLocation;

    private String landNo;

    private String imageNo;

    private String landUseTo;

    private String cost;

    private String userRightType;

    private LocalDate limitDateD;

    private String landLimitDate;

    private String landAllAcreage;

    private String landOutAcreage;

    private String landInAcreage;

}
