package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDate;

@Data
public class SettleProInvoiceVo {

    @Excel(name = "开票人")
    private String invoiceUser;

    @Excel(name = "发票号", width = 30)
    private String invoiceNo;

    @Excel(name = "开票日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private LocalDate invoiceDate;

}
