package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.entity.Visit;
import lombok.Data;

import java.util.List;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/1/12
 * created with IntelliJ IDEA.
 */
@Data
public class VisitVO extends Visit {

    /**
     * 客户名称
     */
    @Excel( name="客户名称")
    private String customerName;

    private Set<Long> userIds;


    @Excel( name="客户单位")
    private String customerDepartment;
    @Excel( name="客户科室")
    private String customerSection;
    @Excel( name="客户职位")
    private String customerPosition;
    @Excel( name="客户等级")
    private String customerLevel;
    /**
     * 业务员
     */
    @Excel( name="客户经理")
    private String userName;
}
