package com.dayou.vo;

import com.dayou.entity.WorkNodeTask;
import com.dayou.enums.workflow.WorkflowNodeEnum;
import lombok.Data;

import java.util.List;
import java.util.Objects;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/11/10
 * created with IntelliJ IDEA.
 */
@Data
public class WorkNodeInstanceVO {

    private Long flowId;

    private Long nodeId;

    private String flowCode;

    private Long pNodeId;

    private String nodeName;

    private String nodeCode;

    private String state;

    private Long instanceId;

    private Integer sequence;

    private Boolean reversible;

    private Boolean restartable;

    private Boolean terminable;

    private Boolean skippable;

    private List<WorkNodeTask> tasks;

}
