//package rich;
//
//import com.dayou.BaseApplication;
//import com.dayou.dto.InstanceNodeDTO;
//import com.dayou.dto.SectionTitleDTO;
//import com.dayou.bo.RichObject;
//import com.dayou.service.IReportMainService;
//import com.dayou.service.workflow.IWorkFlowNodeInstanceService;
//import com.dayou.utils.RichHtmlHandler;
//import com.dayou.utils.WordGeneratorWithFreemarker;
//import com.dayou.vo.WorkNodeInstanceVO;
//import lombok.extern.slf4j.Slf4j;
//import org.junit.Test;
//import org.junit.runner.RunWith;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.boot.test.context.SpringBootTest;
//import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
//
//import java.util.*;
//import java.util.stream.Collectors;
//
///**
// * 类说明：
// *
// * @author: wucl
// * @since: 2023/8/31
// * created with IntelliJ IDEA.
// */
//@Slf4j
//@SpringBootTest(classes = BaseApplication.class)
//@RunWith(SpringJUnit4ClassRunner.class)
//public class TestMainSimple {
//
//    @Autowired
//    private IReportMainService reportMainService;
//
//    @Autowired
//    private IWorkFlowNodeInstanceService workFlowNodeInstanceService;
//
//
//    @Test
//    public void docreateDoc() throws Exception{
//        HashMap<String, String> data = new HashMap();
//
//        data.put("reportType","社会稳定风险评估报告");
//        data.put("itemName","兴文县2023年第3批次建设用地征收项目");
//        data.put("companyName","四川大友房地产土地资产评估有限公司");
//        data.put("yearMonthUppercase","二〇二三年二月");
//        data.put("clientUnit","兴文县征地拆迁服务中心");
//        data.put("yearMonthLowercase","2023年2月");
//        data.put("principalAndTitle","王亚明（总经理）");
//        data.put("checkerAndTitle","何  英（信息复审部经理）");
//        data.put("introduction","根据中共中央办公厅、国务院办公厅《关于<加强新形势下重大决策社会稳定风险评估机制建设的意见>的通知》（中办发〔2021〕11号）、《四川省重大决策社会稳定风险评估办法》（川委办〔2022〕2号）等文件要求，兴文县2023年第3批次建设用地征收项目涉及的集体土地征收，涉及群众切身利益，应当开展社会稳定风险评估。受项目单位兴文县征地拆迁服务中心的委托，由我公司（四川大友房地产土地资产评估有限公司）承担《兴文县2023年第3批次建设用地征收项目社会稳定风险评估报告》的编制工作。\\n\" +\n" +
//                "                        \"我公司接受委托后立即成立了评估小组，查阅了项目相关的初步设计等资料，深入了解项目周边的社会、环境情况，深入分析项目潜在的社会稳定风险因素，提出相应的风险防范措施，根据《国家发展改革委办公厅关于印发重大固定资产投资项目社会稳定风险分析篇章和评估报告编制大纲（试行）的通知》（发改办投资〔2013〕428号）、《四川省重大决策社会稳定风险评估办法》（川委办〔2022〕2号）等文件的要求，在兴文县政府办、县自规局、县委政法委等部门及古宋镇人民政府、古宋镇甘洞湾村村委等乡镇领导的指导下，在项目单位的配合下，编制完成了《兴文县2023年第3批次建设用地征收项目社会稳定风险评估报告》。\\n");
//        data.put("evaluateDate","2023/09/01");
//        data.put("catalogue","todo");
//        data.put("memberAndTitles","todo");
//
//        List<SectionTitleDTO> list = reportMainService.getReportMainSection(4L);
//        Map<String, String> collect = list.stream().collect(Collectors.toMap(SectionTitleDTO::getTitle, SectionTitleDTO::getSection));
////用map存放数据
//
//        List<RichHtmlHandler> richHtmlHandlerList = new ArrayList<RichHtmlHandler>();
//        for (Map.Entry<String,String> map : collect.entrySet()){
//            RichObject richObject = new RichObject();
//            richObject.setHtml(map.getValue());
//            //--------------------此处可以spring配置文件配置，也可以直接读取属性文件获取------------------
//            //从mht文件中找
//            richObject.setDocSrcLocationPrex("file:///C:/268AB2CB");
//            richObject.setDocSrcParent("risk.files");
//            richObject.setNextPartId("01D9DCF4.3A35DE00");
//
//            richObject.setShapeidPrex("_x56fe__x7247__x0020");
//            richObject.setTypeid("#_x0000_t75");
//            richObject.setSpidPrex("_x0000_i");
//
//            richObject.setIsWebAppliction(false);
//            RichHtmlHandler richHtmlHandler = WordGeneratorWithFreemarker.createRichHtmlHandler(richObject);
//            richHtmlHandlerList.add(richHtmlHandler);
//            data.put(map.getKey(), richHtmlHandler.getHandledDocBodyBlock());
//        }
//
//
//        data.put("imagesXmlHrefString", WordGeneratorWithFreemarker.getXmlImgHref(richHtmlHandlerList));
//        data.put("imagesBase64String", WordGeneratorWithFreemarker.getImagesBase64String(richHtmlHandlerList));
//
//        String docFilePath = "F:\\risk_result.docx";
//        String templatePath = Class.class.getResource("/ftl").getPath();
//        templatePath = java.net.URLDecoder.decode(templatePath,"utf-8");//这里我的路径有空格添加此处理
//        WordGeneratorWithFreemarker.createDoc(templatePath,"risk.ftl",data,docFilePath);
//
//    }
//
//    @Test
//    public void testDoWord() throws Exception {
//        InstanceNodeDTO instanceNodeDTO = new InstanceNodeDTO();
//        instanceNodeDTO.setBusinessId(40L);
//        instanceNodeDTO.setMainBusiness("COMMISSION_DECLARE_MAJOR_MARKET");
//        List<WorkNodeInstanceVO> workNodeInstanceVOS = workFlowNodeInstanceService.instanceArray(instanceNodeDTO);
//        System.out.println(workNodeInstanceVOS);
//
//    }
//
//}
