package com.dayou.constants;

/**
 * 类说明：Jwt相关配置
 *
 * @author: wucl
 * @since: 2022/11/28
 * created with IntelliJ IDEA.
 */
public interface JwtConstants {


    String AUTH_HEADER = "Authorization";

    String SECRET = "dySecret";
    String SECRET_OAUTH = "dySecretForOAuth";

    /**
     * 过期时间(秒）
     */
    Long EXPIRATION = 60*60*24L;

    String REST_TOKEN ="token";

    String USER_CLAIM_KEY="user";

    String USER_TYPE_CLAIM_KEY="userType";

    //30分钟
    Long GIS_EXPIRATION = 60*30L;

    String RESOURCE_PREFIX = "/dfs";
}
