package com.dayou.mapper;

import com.dayou.entity.AssetsEvaluationMethod;
import com.dayou.dao.CustomBaseMapper;

import java.util.List;

/**
 * <p>
 * 资产评估方法表 Mapper 接口
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
public interface AssetsEvaluationMethodMapper extends CustomBaseMapper<AssetsEvaluationMethod> {

    /**
     * 获取所有评估方法集合
     * @return List<AssetsEvaluationMethod>
     */
    List<AssetsEvaluationMethod> getAssetsEvaluationMethod();

}
