package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.BrokerageBaseAmount;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.BaseAmountVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 自定义提成基数 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
public interface BrokerageBaseAmountMapper extends CustomBaseMapper<BrokerageBaseAmount> {

    Page<BaseAmountVO> xPage(Page page, @Param("base") BaseAmountVO base);
}
