package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.common.PullDownModel;
import com.dayou.entity.BusinessCommissionRate;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 非土规业务提成比例 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-05-11
 */
public interface BusinessCommissionRateMapper extends CustomBaseMapper<BusinessCommissionRate> {

    Page<BusinessCommissionRate> page(Page page, @Param("rate") BusinessCommissionRate businessCommissionRate);

    List<PullDownModel> getBusinessCate(@Param("businessType")String businessType, @Param("userType")String userType);
}
