package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.BusinessReply;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.BusinessReplyVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 业务回复表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-03-23
 */
public interface BusinessReplyMapper extends CustomBaseMapper<BusinessReply> {

    Page<BusinessReplyVO> getPage(Page page,@Param("businessReply") BusinessReply businessReply);

    void updateState(@Param("currentId") Long userId, @Param("bizTableId")Long bizTableId, @Param("bizType")String bizType);
}
