package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.ItemBrokerageGeneral;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.BrokerageGeneralVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 项目提成总表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface ItemBrokerageGeneralMapper extends CustomBaseMapper<ItemBrokerageGeneral> {

    Page<BrokerageGeneralVO> aheadPage(Page page, @Param("itemBrokerageGeneral") BrokerageGeneralVO itemBrokerageGeneral);

    ItemBrokerageGeneral getByItemId(@Param("itemId") Long itemId);

    List<BrokerageGeneralVO> xList(@Param("itemBrokerageGeneral") BrokerageGeneralVO itemBrokerageGeneral);
}
