package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.ItemBrokerageSequenceDetail;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.BrokerageSequenceDetailVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 提成流水明细表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface ItemBrokerageSequenceDetailMapper extends CustomBaseMapper<ItemBrokerageSequenceDetail> {

    Page<BrokerageSequenceDetailVO> xPage(Page page, @Param("vo") BrokerageSequenceDetailVO vo);

    List<BrokerageSequenceDetailVO> xList(@Param("vo")  BrokerageSequenceDetailVO vo);
}
