package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.ItemBrokerageTechnicist;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.DeductionTechItemVO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 技术人员项目提成总表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-06-06
 */
public interface ItemBrokerageTechnicistMapper extends CustomBaseMapper<ItemBrokerageTechnicist> {

    List<ItemBrokerageTechnicist> notSettleForTechnicist(@Param("userId") Long userId);

    Page<DeductionTechItemVO> xPage(Page page, @Param("vo") DeductionTechItemVO deductionTechItemVO);

    Page<DeductionTechItemVO> oncePage(Page page, @Param("vo")DeductionTechItemVO deductionTechItemVO);
}
