package com.dayou.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.PersonalFacePrice;
import com.dayou.vo.DayouPersonalPriceVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface PersonalFacePriceMapper extends BaseMapper<PersonalFacePrice> {

    List<DayouPersonalPriceVO> queryByFuzzyAddress(@Param("address") String roadNumberAddress, @Param("valueTiming") Date startDate);

    List<String> queryCommunityNameByFuzzyAddress(@Param("address") String address);

    List<DayouPersonalPriceVO> queryByFuzzyCommunityName(@Param("community")String community, @Param("valueTiming")Date valueTiming);

    IPage<PersonalFacePrice> getPage(Page page, @Param("facePrice") PersonalFacePrice facePrice);

    List<DayouPersonalPriceVO> queryFromFacePriceHis(@Param("address")String address, @Param("valueTiming") Date startDate);
}
