package com.dayou.mapper;

import com.dayou.dto.PersonalProductionDTO;
import com.dayou.dto.ProductionDTO;
import com.dayou.entity.PersonalProduction;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 个贷产品 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-03-18
 */
public interface PersonalProductionMapper extends CustomBaseMapper<PersonalProduction> {

    List<ProductionDTO> getProductions(@Param("id") Long id);

    List<PersonalProductionDTO> getProductionAfter2025();
}
