package com.dayou.mapper;

import com.dayou.dto.PersonalTargetEvaData;
import com.dayou.entity.PersonalTarget;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ProdValidateVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 个贷估价对象 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-03-01
 */
public interface PersonalTargetMapper extends CustomBaseMapper<PersonalTarget> {

    ProdValidateVO validateProd(@Param("id") Long id);

    List<String> fuzzyBackgroundList(@Param("location") String location);

    List<PersonalTargetEvaData> queryPersonalTargetEvaData(@Param("startDate") String startDate);
}
