package com.dayou.mapper;

import com.dayou.entity.ReportSection;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ReportSectionTreeVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报告段落 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-08-29
 */
public interface ReportSectionMapper extends CustomBaseMapper<ReportSection> {

    List<ReportSectionTreeVO> getReportSectionTree(@Param("reportId") Long id);
}
