package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.ReportSectionTemplate;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.HeadlineSectionVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 报告段落模板 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-08-25
 */
public interface ReportSectionTemplateMapper extends CustomBaseMapper<ReportSectionTemplate> {

    Page<HeadlineSectionVO> getPage(Page page, @Param("section") HeadlineSectionVO reportSection);

}
