package com.dayou.mapper;

import com.dayou.entity.ResourceTransfer;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ResourceTransferVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 业务资源转移表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-05-31
 */
public interface ResourceTransferMapper extends CustomBaseMapper<ResourceTransfer> {

    ResourceTransferVO getDetailById(@Param("id") Long id);

    List<ResourceTransferVO> transferHistory(@Param("resourceType") String resourceType, @Param("resourceId") Long resourceId);
}
