package com.dayou.mapper;

import com.dayou.dto.TeamLeaderDTO;
import com.dayou.entity.Team;
import com.dayou.entity.TeamMember;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 团队成员 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-04-07
 */
public interface TeamMemberMapper extends CustomBaseMapper<TeamMember> {

    Team getLeader(@Param("userId") Long userId, @Param("departmentName")String departmentName);
}
