package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.Visit;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.VisitVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 拜访记录表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface VisitMapper extends CustomBaseMapper<Visit> {

    Page<VisitVO> page(Page page, @Param("visit") VisitVO visit, @Param("keyword") String keyword);

    VisitVO detail(@Param("id") Long id);

    List<VisitVO> getList(@Param("visit")VisitVO visit,  @Param("keyword") String keyword);
}
