package com.dayou.mapper;

import com.dayou.entity.WorkFlowLog;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.WorkLogVO;
import com.dayou.vo.WorkflowLogVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 实例节点流水表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-10-17
 */
public interface WorkFlowLogMapper extends CustomBaseMapper<WorkFlowLog> {

    List<WorkflowLogVO> getList(@Param("businessId") Long businessId, @Param("businessSubId") String businessSubId,
                                @Param("businessMinId") String businessMinId,@Param("businessType") String businessType);

    WorkFlowLog getRefuse(@Param("businessId") Long businessId, @Param("businessType") String businessType);
}
