package com.dayou.common;

import com.dayou.bo.HeadlineTreeBO;
import com.dayou.bo.Tree;
import lombok.Data;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/8/28
 * created with IntelliJ IDEA.
 */
@Data
public class CascaderDTO  implements Tree<Long,String> {

    private Long id;

    private String name;

    private String value;

    private String label;

    private Integer orderNum;

    private Long parentId;

    private List<CascaderDTO> children;

    @Override
    public int order() {
        return 0;
    }

    @Override
    public void setChildren(List<? extends Tree<Long, String>> children) {
        this.children = (List<CascaderDTO>) children;
    }
}
