package com.dayou.condition;

import lombok.Data;
import org.hibernate.validator.constraints.NotEmpty;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/5/17
 * created with IntelliJ IDEA.
 */
@Data
public class GisLoginCondition {

    @NotEmpty(message = "账号不能为空")
    private String account;

    @NotEmpty(message = "密码不能为空")
    private String password;

    /**
     * 随机字符
     */
    private String  nonceId;

    @NotEmpty(message = "验证码不能为空")
    private String verificationCode;
}
