package com.dayou.dto;

import lombok.Data;

/**
 * 标准地址对象
 */
@Data
public class AddressDTO {

    /**
     * 省、自治区、省级市
     */
    private String province;
    /**
     * 地级市、自治州
     */
    private String city;
    /**
     * 区、县、旗
     */
    private String district;
    /**
     * 街道、乡、镇
     */
    private String town;
    /**
     * 社区、村
     */
    private String community;
    /**
     * 路、街、段、巷
     */
    private String road;
    /**
     * 路号
     */
    private String roadNumber;
    /**
     * 栋、幢、楼
     */
    private String building;
    /**
     * 单元
     */
    private String unit;
    /**
     * 层
     */
    private String floor;
    /**
     * 室、号
     */
    private String room;
}
