package com.dayou.dto;

import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
import com.dayou.common.BaseEntity;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

@Data
public class AssetsPrincipalMembersDTO extends BaseEntity {

    /**
     * 接单部门id
     */
    private Long departmentId;

    /**
     * 项目负责人id(user_id)
     */
    private Long principalId;

    /**
     * 项目参与人(json格式,存用户表id)
     */
    @ImportCell
    @ExportCell(columnName = "项目参与人(json格式,存用户表id)")
    private String members;
}
