package com.dayou.dto;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.util.List;

@Data
public class MajorTargetMergeNumberDTO {

    @AbcValidate(required = true,message = "合并号码类型为空",fun= Check.NotEmpty)
    private String mergeType;

    @AbcValidate(required = true,message = "合并号码为空",fun= Check.NotEmpty)
    private String toMergeNumber;

    @AbcValidate(required = true,message = "估价对象为空",fun= Check.NotNull)
    private List<Long> targetIds;


}
