package com.dayou.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * 用于传递oa登录用户的信息到生产力平台
 */
@Data
@Accessors(chain = true)
public class OALoginDTO {

    /**
     * 用户id
     */
    private Long userOaId;

    /**
     * 员工工号
     */
    private String staffNo;

    /**
     * 姓名
     */
    private String name;

    /**
     * 岗位名称集合
     */
    private List<String> postNameList;

    /**
     * 部门名称集合
     */
    private List<String> departmentNameList;

    /**
     * 最后修改用户信息的时间
     */
    private Date lastUpdateTime;

}
