package com.dayou.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/12/14
 * created with IntelliJ IDEA.
 */
@Data
public class OrderReportDTO {

    private Long id;

    private String orderName;

    private String orderId;

    private String businessType;

    private BigDecimal realAmount;

    private BigDecimal shouldAmount;

    private Long orderFundId;

    private BigDecimal thisTimeAmount;

    private Long financeFundId;

    private Long productionFundId;

    private List<ReportDTO> reports;
}
