package com.dayou.dto;

import com.dayou.vo.PersonalVO;
import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.util.List;

@Data
public class PersonalAllotOrderDTO {

    /**
     * 外业人员id
     */
    @AbcValidate(required = true,message = "人员id不能为空",fun = Check.NotNull)
    private Long id;

    /**
     * 订单集合
     */
    @AbcValidate(required = true,message = "订单不能为空",fun = Check.NotNull)
    private List<PersonalVO> orders;
}
