package com.dayou.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/12/14
 * created with IntelliJ IDEA.
 */
@Data
public class ReportDTO {

    private Long id;

    /**
     * 报告号
     */
    private String reportNo;

    private String businessSubId;

    private Long productionFundId;

    private BigDecimal evaluateAmount;

    private String productionType;

    private Long orderFundId;
    /**
     * 产品实收款
     */
    private BigDecimal realAmount;

    private BigDecimal standardAmount;

    private List<ProductionDTO> productions;


    /**
     * 已分配金额
     */
    private BigDecimal claimedAmount;

    private BigDecimal thisTimeAmount;

}
