package com.dayou.dto;

import lombok.Builder;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/8/31
 * created with IntelliJ IDEA.
 */
@Data
@Builder
public class RiskReportDTO {

    /**
     * 项目名称
     */
    private String itemName;
    /**
     * 报告类型
     */
    private String reportType;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 年月（大写）
     */
    private String yearMonthUppercase;
    /**
     * 项目单位
     */
    private String clientUnit;
    /**
     * 年月 （小写）
     */
    private String yearMonthLowercase;
    /**
     * 项目负责人 + 职位
     */
    private String principalAndTitle;
    /**
     * 编制人员列表 + 职位
     */
    private List<String> memberAndTitles;
    /**
     * 审核人员 + 职位
     */
    private String checkerAndTitle;
    /**
     * 前言
     */
    private String introduction;

    /**
     * 评估日期
     */
    private Date evaluateDate;

    /**
     * 目录
     */
    private String catalogue;

    private String title1x1;
    private String title1x2;
    private String title1x3;
    private String title2x1;
    private String title2x2;
    private String title2x3;
    private String title2x4;
    private String title3x1;
    private String title3x2;
    private String title3x3;
    private String title3x4;
    private String title3x5;
    private String title4x1;
    private String title4x2;
    private String title4x3;
    private String title4x4;
    private String title4x5;
    private String title4x6;
    private String title5x1;
    private String title5x2;
    private String title6x1;
    private String title6x2;
    private String title6x3;
}
