package com.dayou.dto;

import lombok.Data;

import java.util.List;

@Data
public class TakeAssetsProductionNoDTO {

    /**
     * 资产业务id
     */
    private Long businessId;

    /**
     * 产品类型
     */
    private String productionType;

    /**
     * 是否还有未取号产品
     */
    private Boolean hasNotTakeNumTargetSelect;

    /**
     * 是否选择全部评估对象
     */
    private Boolean selectAll;

    /**
     * 打印数量
     */
    private Integer printCount;

    /**
     * 取号的评估对象id集合
     */
    private List<Long> targetIdList;

    /**
     * 所有的评估对象id集合
     */
    private List<Long> allTargetIdList;

    /**
     * 意见书号
     */
    private String statementNo;

}
