package com.dayou.dto;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/11/1
 * created with IntelliJ IDEA.
 */
@Data
public class TaskRecordDTO<T> {

    @AbcValidate(required = true,message = "未找到任务节点，暂不支持此操作。",fun = Check.NotNull)
    private Long recordId;

    private T taskData;

}
