package com.dayou.dto;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/5/15
 * created with IntelliJ IDEA.
 */
@Data
public class UserShareRate {

    @AbcValidate(required = true,message = "用户不能为空",fun = Check.NotNull)
    private Long userId;

    private String name;

    @AbcValidate(required = true,message = "提成比例不能为空",fun = Check.NotNull)
    private BigDecimal rate;

    /**
     * 绩效分配项目成员类型
     */
    private String memberType;

    /**
     * 人员参与时长（小时）
     */
    private Integer participationDuration;
}
