package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 资产评估方法表
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "资产评估方法表")
public class AssetsEvaluationMethod extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 资产评估方法名
     */
    @ImportCell
    @ExportCell(columnName = "资产评估方法名")
    private String methodName;


}
