package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 资产评估对象评估目的表
 * </p>
 *
 * @author GouGengquan
 * @since 2024-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "资产评估对象评估目的表")
public class AssetsEvaluationTargetPurpose extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 目的名
     */
    @ImportCell
    @ExportCell(columnName = "目的名")
    private String purposeName;


}
