package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 客户经理已结算回款表
 * </p>
 *
 * @author wucl
 * @since 2023-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "客户经理已结算回款表")
public class BrokerageMarketerSettled extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 客户经理已结算的回款id
     */
    private Long paymentId;


}
