package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 团队
 * </p>
 *
 * @author wucl
 * @since 2023-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "团队")
public class Team extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 名字
     */
    @ImportCell
    @ExportCell(columnName = "名字")
    private String name;

    /**
     * 主管id
     */
    private Long supervisorId;

    /**
     * 培育者id
     */
    private Long cultivateId;

    /**
     * 所属部门id
     */
    private Long departmentId;


}
