package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 团队成员
 * </p>
 *
 * @author wucl
 * @since 2023-04-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "团队成员")
public class TeamMember extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 成员id
     */
    private Long memberId;

    /**
     * 团队id
     */
    private Long teamId;


}
