package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 任务转交表
 * </p>
 *
 * @author wucl
 * @since 2024-04-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "任务转交表")
public class WorkRecordTransfer extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 任务记录id
     */
    private Long recordId;

    /**
     * 原处理人id
     */
    private Long fromId;

    /**
     * 转交到处理人id
     */
    private Long toId;


}
