package com.dayou.enums;

/**
 * 产品退回流程审核状态
 */
public enum ProductionReturnStatus {

    REVIEWING("审核中","REVIEWING"),
    APPROVE("审核通过","APPROVE"),
    REJECTION("审核拒绝","REJECTION"),
    ;

    private String name;

    private String code;

    ProductionReturnStatus(String name, String code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

}
