package com.dayou.vo;

import com.dayou.common.BaseEntity;
import com.dayou.entity.FinanceInvoice;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class AssetsOrderFundInvoiceVO extends BaseEntity {

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 订单应收款
     */
    private BigDecimal shouldAmount;

    /**
     * 订单实收款
     */
    private BigDecimal realAmount;

    /**
     * 开票信息
     */
    List<FinanceInvoice> financeInvoiceVoList;
}
