package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/6/9
 * created with IntelliJ IDEA.
 */
@Data
public class DeductionTechItemVO {

    /**
     *  技术人员项目提成id
     */
    private Long id;
    /**
     * 结算流水id
     */
    private Long sequenceId;

    /**
     * 提成体现
     */
    private String embody;
    /**
     * 项目id
     */
    private Long itemId;
    /**
     * 项目名称
     */
    private String itemName;
    /**
     * 技术人员id
     */
    private Long userId;
    /**
     * 技术人员名字
     */
    private String userName;
    /**
     * 转入奖金池金额
     */
    private BigDecimal brokerageAmount;

    /**
     *一次性发放金额
     */
    private BigDecimal onceAmount;

    /**
     * 结算金额
     */
    private String cate;
    /**
     * 项目剩余金额
     */
    private BigDecimal residueAmount;
    /**
     * 转入奖金池时间
     */
    private LocalDate created;


    /**
     * 抵扣默认预提
     */
    List<TechDeductionVO> defaultDeductions;
}
