package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/6/9
 * created with IntelliJ IDEA.
 */
@Data
public class DeductionVO{

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 项目名称
     */
    private String itemName;

    /**
     * 项目结算年份
     */
    private Long year;

    /**
     * 项目结算月份
     */
    private Long month;

    /**
     * 转移金额
     */
    private BigDecimal settleAmount;

    /**
     * 项目结算类型
     */
    private String settleCate;

    /**
     * 已抵扣金额
     */
    private BigDecimal deductionAmount;

    /**
     * 抵扣时间
     */
    private LocalDate created;

}
