package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

@Data
public class MajorDepPerformanceOverviewVO {

    /**
     * 部门id
     */
    private Long departmentId;

    /**
     * 部门名称
     */
    @Excel(name = "部门名称")
    private String departmentName;

    /**
     * 产值
     */
    @Excel(name = "产值")
    private Double outputValue;

    /**
     * 产值计分
     */
    @Excel(name = "产值计分")
    private Integer outputValueScore;

    /**
     * 接件数
     */
    @Excel(name = "接件数")
    private Integer orderVolume;

    /**
     * 接件数计分
     */
    @Excel(name = "接件数计分")
    private Integer orderVolumeScore;

/*    *//**
     * 报价效率(金融)
     *//*
    @Excel(name = "报价效率(金融)")
    private Double financialQuoteProcessingTime;

    *//**
     * 报价效率计分(金融)
     *//*
    @Excel(name = "报价效率计分(金融)")
    private Integer financialQuoteProcessingTimeScore;*/

/*    *//**
     * 报价效率(非金融)
     *//*
    @Excel(name = "报价效率(非金融)")
    private Double unFinancialQuoteProcessingTime;

    *//**
     * 报价效率计分(非金融)
     *//*
    @Excel(name = "报价效率计分(非金融)")
    private Integer unFinancialQuoteProcessingTimeScore;*/

    /**
     * 报价效率
     */
    @Excel(name = "报价效率")
    private Double quoteProcessingTime;

    /**
     * 报价效率计分
     */
    @Excel(name = "报价效率计分")
    private Integer quoteProcessingTimeScore;

    /**
     * 复审一般错误数量
     */
    @Excel(name = "复审一般错误")
    private Integer reCheckNormalMistakeCount;

    /**
     * 复审较大错误数量
     */
    @Excel(name = "复审较大错误")
    private Integer reCheckHardMistakeCount;

    /**
     * 复审严重错误数量
     */
    @Excel(name = "复审严重错误")
    private Integer reCheckFatalMistakeCount;

    /**
     * 复审（扣分）
     */
    @Excel(name = "复审（扣分）")
    private Integer reCheckTotalScore;

    /**
     * 报价准确度
     */
    @Excel(name = "报价准确度")
    private Double quotationAccuracy;

    /**
     * 报价准确度计分
     */
    @Excel(name = "报价准确度计分")
    private Integer quotationAccuracyScore;

    /**
     * 时点累计分值
     */
    @Excel(name = "时点累计分值")
    private Integer timePointTotalScore;

}
