package com.dayou.vo;


import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/11/10
 * created with IntelliJ IDEA.
 */
@Data
public class MajorProductionVO {

    private Long id;

    private Long majorId;

    private String orderId;

    /**
     * 是否金融
     */
    private Boolean financial;

    /**
     * 报告号
     */
    private String reportNo;

    /**
     * 产品类型
     */
    private String production;

    /**
     * 项目名称
     */
    private String name;

    /**
     *客户经理
     */
    private String clientManager;

    /**
     * 负责人
     */
    private String principal;

    /**
     *客户名称
     */
    private String clienteleName;

    /**
     * 委托方
     */
    private String clientName;

    /**
     * 委托方电话
     */
    private String clientTel;

    /**
     * 评估面积
     */
    private BigDecimal evaluateAcreage;

    /**
     * 评估总价
     */
    private BigDecimal evaluateAmount;

    /**
     * 库存状态
     */
    private Boolean repertoryState;

    /**
     * 是否归档
     */
    private Boolean ifSaveFile;

    /**
     * 当前节点id
     */
    private Long currentNodeId;
    /**
     * 当前节点
     */
    private String currentNodeName;

    /**
     * 应收款
     */
    private BigDecimal shouldAmount;

    /**
     * 实收款
     */
    private BigDecimal realAmount;

    /**
     *入库时间
     */
    private Date repertoryInTime;

    /**
     *出库时间
     */
    private Date repertoryOutTime;

    private String startDate;

    private String endDate;

    /**
     * 标准收费
     */
    private BigDecimal standardAmount;

    /**
     * 市场人员申报提成
     */
    private String mDeclareResult;

    /**
     * 评估人员申报提成
     */
    private String eDeclareResult;

    private Long clientManagerId;

    /**
     * 订单收款表
     */
    private Long orderFundId;

    /**
     * 订单收款表
     */
    private Long productionFundId;

    /**
     * 部门领导id
     */
    private Long departmentLeaderId;

    private String businessType;

    /**
     * 是否有实收款
     */
    private Boolean hasRealAmount;

    private BigDecimal orderShouldAmount;

    private BigDecimal invoiceAmount;

}
