package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 类说明：个贷业务不动产权证
 *
 * @author: wucl
 * @since: 2024/3/13
 * created with IntelliJ IDEA.
 */
@Data
public class PersonalImmovableCertificateVO {

    private Long id;

    private Boolean haveOrigin;

    private String immovableCertificateNo;

    private String ownerName;

    private String ownRight;

    private String bailor1;

    private String bailor1Tel;

    private String bailor1IdNo;

    private String bailor2;

    private String bailor2Tel;

    private String bailor2IdNo;

    private String location;

    private String sceneAddress;

    private Boolean isSameAddress;

    private Boolean addressProve;

    private Boolean isShare;

    private String unitNo;

    private String rightType;

    private String rightNature;

    private String useTo;

    private String acreage;

    private String useLimit;

    private String otherInfo;

    private String attachmentInfo;

    private String isPledge;

    private String pledgePerson;

    private String otherPledgePerson;

    private BigDecimal ensureDebiAmount;

    private BigDecimal defaultDebiAmount;

    private BigDecimal otherDebiAmount;

    private Boolean isNoneShangCase;

    private Boolean isNoneWestCase;

}
