package com.dayou.vo;

import lombok.Data;

import java.time.LocalDate;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/4/11
 * created with IntelliJ IDEA.
 */
@Data
public class PersonalTaskDoneVO {

    /**
     * id
     */
    private Long id;
    /**
     * 订单id
     */
    private Long personalId;

    /**
     * 处理人id
     */
    private Long handlerId;

    /**
     * 处理人
     */
    private String handler;


    private String state;


    /**
     * 完成时间
     */
    private LocalDate finishTime;

    /**
     * 完成时长
     */
    private String handingTime;

    private Long  handingTimeLong;

    /**
     * 处理意见
     */
    private String comments;


    /**
     * 市场订单号
     */
    private String orderId;

    /**
     * 坐落
     */
    private String location;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 客户名称
     */
    private String clientName;

    /**
     * 业务来源
     */
    private String clientSubName;
    /**
     * 委托人A
     */
    private String bailorA;
    /**
     * 委托人B
     */
    private String bailorB;

    private Long instanceId;

    private String startDate;

    private String endDate;

}
