package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/11/13
 * created with IntelliJ IDEA.
 */
@Data
public class TaskTodoVO {

    private Long taskId;

    private Long currentNodeId;

    private Long businessId;

    private String businessSubId;

    private String businessMinId;

    private String orderName;

    private String orderId;

    private String taskName;

    private Boolean financial;

    private String allotType;

    private String clientManager;

    private String principal;

    private String departmentName;

    private String businessObjectType;

    private String nodeName;

    private String nodeCode;

    private Long nodeId;

    private String handler;

    private Long handlerId;

    private Boolean taskFinished;

    private LocalDate created;

    private Long productionId;

    private BigDecimal realAmount;

    private String name;

    private String repertoryState;

    private Date taskCreated;

    private String startDate;

    private String endDate;

    private String production;

    private String statementNo;

    private String reportNo;

    private String productionName;

    private Date instanceCreated;

    private String cClienteleName;

    private String cClienteleSubName ;

    private String cClienteleContactName ;

    private String cMobile;

    /**
     * 是否只查询节点为装订盖章的流程
     */
    private Boolean getNodeIsBookbindingStamp;

    /**
     * 是否只查询节点为复审部归档审核的流程
     */
    private Boolean getNodeIsRecheckArchiving;

    /**
     * 是否只查询节点为归档审核的流程
     */
    private Boolean getNodeIsCheckArchiving;


}
