package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.annotation.ExportCell;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class UserCommissionProdAssetsVO extends UserCommissionProdVO{

    @Excel(name = "提成下限(元)")
    private BigDecimal lowLimitAmount;

    @Excel(name = "实收款认领时间")
    private LocalDate realFundDateTime;
}
