package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2024/5/30
 * created with IntelliJ IDEA.
 */
@Data
public class UserCommissionProdVO {

    /**
     * 产品id (大中型，资产，个贷 产品,id)
     */
    private Long id;
    @Excel(name = "姓名")
    private String userName;
    @Excel(name = "产品号")
    private String reportNo;
    @Excel(name = "项目名称")
    private String name;
    @Excel(name = "项目分类")
    private String businessCate;
    @Excel(name = "提成比例(%)")
    private BigDecimal ratio;
    @Excel(name = "总提成额(元)")
    private BigDecimal totalAmount;
    @Excel(name = "分配比例(%)")
    private BigDecimal allotRatio;
    @Excel(name = "提成额(元)")
    private BigDecimal commissionAmount;
    @Excel(name = "出报告时间")
    private LocalDate created;
    @Excel(name = "实收款(元)")
    private BigDecimal realAmount;
    @Excel(name = "提成日期")
    private LocalDate settleDate;
    private Long userId;

    private String userType;

    private String startDate;

    private String endDate;
}
