package com.dayou.dto;

import com.dayou.entity.ItemStage;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/13
 * created with IntelliJ IDEA.
 */
@Data
@Builder
public class ParticipantSettleDTO {

    /**
     * 提成总表id
     */
    private Long generalId;
    /**
     * 项目阶段
     */
    private List<ItemStage> stages;
    /**
     * 项目整体提成比例
     */
    private BigDecimal weight;
    /**
     * 参与人提成状态
     */
    private String brokerageState;

}
