package com.dayou.message.bo;

import lombok.Builder;
import lombok.Data;

import java.time.LocalDate;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/6/30
 * created with IntelliJ IDEA.
 */
@Data
public class MessageBO {

    /**
     * 标题
     */
    private String title;

    /**
     * 消息内容
     */
    private String message;

    /**
     * 业务参数
     */
    private String params;

    /**
     * 消息类型
     */
    private String type;

}
