package com.dayou.report.dto;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/9/18
 * created with IntelliJ IDEA.
 */
@Data
public class CalculateDataRequestDTO {

    @AbcValidate(required = true,message = "计算类型不能为空", fun = Check.NotEmpty)
    private String action;

    @AbcValidate(required = true,message = "计算数据不能为空", fun = Check.NotEmpty)
    private String jsonString;

}
