package com.dayou.service;
import com.dayou.dto.UserShareRate;
import com.dayou.entity.MajorProductionAllot;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 大中型产品绩效分配 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-02-19
 */
public interface IMajorProductionAllotService extends IService<MajorProductionAllot> {

        List<MajorProductionAllot> getList(Long productionId);
        Boolean saveAllot(List<MajorProductionAllot> list);

        List<UserShareRate> allotRateByDeclareId(Long id);

        List<UserShareRate> getXList(Long productionId);
}
